export const validationMessages = {
    default: 'Por favor, introduce un valor válido.',

    // Validación de campo obligatorio
    notEmpty: 'Este campo no puede estar vacío.',

    // Validación de direcciones de correo electrónico
    emailAddress: 'Por favor, introduce una dirección de correo electrónico válida.',

    // Validación de números
    numeric: 'Por favor, introduce un número válido.',

    // Validación de URL
    uri: 'Por favor, introduce una URL válida.',

    // Validación de rango de longitud de texto
    stringLength: 'Por favor, introduce un valor entre %s y %s caracteres.',

    // Validación de tamaño mínimo
    greaterThan: 'Por favor, introduce un valor mayor o igual a %s.',

    // Validación de tamaño máximo
    lessThan: 'Por favor, introduce un valor menor o igual a %s.',

    // Validación de rango entre dos valores
    between: 'Por favor, introduce un valor entre %s y %s.',

    // Validación de coincidencia de valores
    identical: 'Los valores deben coincidir.',

    // Validación de expresiones regulares
    regexp: 'El formato del valor no es válido.',

    // Validación de números de tarjeta de crédito
    creditCard: 'Por favor, introduce un número de tarjeta de crédito válido.',

    // Validación de direcciones IP
    ip: 'Por favor, introduce una dirección IP válida.',

    // Validación de direcciones MAC
    mac: 'Por favor, introduce una dirección MAC válida.',

    // Validación de números de teléfono
    phone: 'Por favor, introduce un número de teléfono válido.',

    // Validación de códigos postales
    zipCode: 'Por favor, introduce un código postal válido.',

    // Validación de datos remotos
    remote: 'Por favor, corrige este campo.',

    // Validación de archivo cargado (file upload)
    file: {
        size: 'Por favor, selecciona un archivo con un tamaño máximo de %s KB.',
        type: 'Por favor, selecciona un archivo de tipo válido (%s).'
    },

    // Validación de fecha
    date: 'Por favor, introduce una fecha válida en el formato %s.',

    // Validación de valores únicos en una lista
    unique: 'Por favor, asegúrate de que este valor sea único.',

    // Validación de campos iguales
    equalTo: 'Por favor, introduce el mismo valor que en el campo %s.',

    // Validación de JSON
    json: 'Por favor, introduce un JSON válido.',

    // Validación de booleanos
    boolean: 'Por favor, introduce un valor booleano válido (true o false).',

    // Validación de IBAN
    iban: 'Por favor, introduce un número IBAN válido.',

    // Validación de ISBN
    isbn: 'Por favor, introduce un número ISBN válido.',

    // Validación de tarjeta de identidad
    id: 'Por favor, introduce un número de identificación válido.',

    // Validación de números enteros
    integer: 'Por favor, introduce un número entero válido.',

    // Validación de números decimales
    decimal: 'Por favor, introduce un número decimal válido.',

    // Validación de formato de hora
    time: 'Por favor, introduce una hora válida en el formato %s.',

    // Validación de rango de archivos cargados
    fileCount: 'Por favor, selecciona entre %s y %s archivos.',

    // Validación de valores en una lista
    in: 'Por favor, selecciona un valor válido.',

    // Validación de valores fuera de una lista
    notIn: 'Por favor, selecciona un valor no restringido.',

    // Validación de valores opcionales
    optional: 'Este campo es opcional, pero debe ser válido si está presente.',

    // Validación de UUID
    uuid: 'Por favor, introduce un UUID válido.'
};
